Schema "fpml-valuation-reporting-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8571 $

Defined Components:

  6 global elements, 19 local elements, 5 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-valuation-reporting-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-business-events-5-3.xsd [src], fpml-valuation-5-3.xsd [src]

Included in Schemas (2):

  fpml-reconciliation-5-3.xsd [src], fpml-reporting-5-3.xsd [src]

Annotation
Reporting messages.

All Element Summary
accountReference (defined in ReportContents complexType) | The account for which this report was generated.
Type: | AccountReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportContents complexType; see XML source
asOfDate (in requestValuationReport) | The date for which this report is requested.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin RequestValuationReport complexType; see XML source
asOfDate (in valuationReport) | The date for which this request was generated.
Type: | IdentifiedDate
Content: | simple, 1 attribute
Defined: | locally witnin ValuationReport complexType; see XML source
assetClass (defined in ReportContents complexType) | A classification of the risk class of the trade.
Type: | AssetClass
Content: | simple, 1 attribute
Defined: | locally witnin ReportContents complexType; see XML source
category (defined in ReportContents complexType) | Used to categorize trades into user-defined categories, such as house trades vs. customer trades.
Type: | TradeCategory
Content: | simple, 1 attribute
Defined: | locally witnin ReportContents complexType; see XML source
partyReference (defined in ReportContents complexType) | The party for which this report was generated.
Type: | PartyReference
Content: | empty, 1 attribute
Defined: | locally witnin ReportContents complexType; see XML source
partyTradeIdentifier (defined in TradeValuationItem complexType) | One or more trade identifiers needed to uniquely identify a trade.
Type: | PartyTradeIdentifier
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin TradeValuationItem complexType; see XML source
portfolio | Global portfolio element used as a basis for a substitution group.
Type: | Portfolio
Content: | complex, 1 attribute, 3 elements
Subst.Gr: | may be substituted with 1 element
Defined: | globally; see XML source
Used: | at 2 locations
portfolioValuationItem (in requestValuationReport) | An instance of a unique portfolio valuation.
Type: | PortfolioValuationItem
Content: | complex, 3 elements
Defined: | locally witnin RequestValuationReport complexType; see XML source
portfolioValuationItem (in valuationReport) | An instance of a unique portfolio valuation.
Type: | PortfolioValuationItem
Content: | complex, 3 elements
Defined: | locally witnin ValuationReport complexType; see XML source
productId (defined in ReportContents complexType) | A product reference identifier.
Type: | ProductId
Content: | simple, 1 attribute
Defined: | locally witnin ReportContents complexType; see XML source
productType (defined in ReportContents complexType) | A classification of the type of product.
Type: | ProductType
Content: | simple, 1 attribute
Defined: | locally witnin ReportContents complexType; see XML source
queryPortfolio | Global element used to substitute for "portfolio".
Type: | QueryPortfolio
Content: | complex, 1 attribute, 4 elements
Subst.Gr: | may substitute for element portfolio
Defined: | globally; see XML source
Used: | never
queryPortfolio (defined in ReportContents complexType) | The desired query portfolio.
Type: | QueryPortfolio
Content: | complex, 1 attribute, 4 elements
Defined: | locally witnin ReportContents complexType; see XML source
reportContents (in requestValuationReport) | The specific characteristics to be included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin RequestValuationReport complexType; see XML source
reportContents (in valuationReport) | The specific characteristics included in the report.
Type: | ReportContents
Content: | complex, 7 elements
Defined: | locally witnin ValuationReport complexType; see XML source
reportIdentification (in valuationReport) | Identifiers for the report instance and section.
Type: | ReportIdentification
Content: | complex, 4 elements
Defined: | locally witnin ValuationReport complexType; see XML source
requestValuationReport |
Type: | RequestValuationReport
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
trade (defined in TradeValuationItem complexType) | Fully-described trades whose values are reported.
Type: | Trade
Content: | complex, 1 attribute, 12 elements
Defined: | locally witnin TradeValuationItem complexType; see XML source
tradeValuationItem (defined in PortfolioValuationItem complexType) | Zero or more trade valuation items.
Type: | TradeValuationItem
Content: | complex, 3 elements
Defined: | locally witnin PortfolioValuationItem complexType; see XML source
tradeValuationItem (in requestValuationReport) | An instance of a unique trade valuation.
Type: | TradeValuationItem
Content: | complex, 3 elements
Defined: | locally witnin RequestValuationReport complexType; see XML source
tradeValuationItem (in valuationReport) | A collection of data values describing the state of the given trade.
Type: | TradeValuationItem
Content: | complex, 3 elements
Defined: | locally witnin ValuationReport complexType; see XML source
valuationReport |
Type: | ValuationReport
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Used: | never
valuationReportAcknowledgement |
Type: | Acknowledgement
Content: | complex, 3 attributes, 9 elements
Defined: | globally; see XML source
Used: | never
valuationReportException |
Type: | Exception
Content: | complex, 3 attributes, 7 elements
Defined: | globally; see XML source
Used: | never

Complex Type Summary
PortfolioValuationItem | A type used in valuation enquiry messages which relates a portfolio to its trades and current value.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations
ReportContents | A type used to describe the scope/contents of a report.
Content: | complex, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 7 elements
Used: | at 11 locations
RequestValuationReport | A type defining the content model for a message allowing one party a report containing valuations of one or many existing trades.
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 5 elements
Used: | at 1 location
TradeValuationItem | A type used in trade valuation enquiry messages which relates a trade identifier to its current value.
Content: | complex, 3 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 3 locations
ValuationReport | A type defining the content model for a message normally generated in response to a RequestValuationReport request.
Content: | complex, 3 attributes, 14 elements
Defined: | globally; see XML source
Includes: | definitions of 6 elements
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8571 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-business-events-5-3.xsd"/> <xsd:include schemaLocation="fpml-valuation-5-3.xsd"/> <xsd:complexType name="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used to describe the scope/contents of a report. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" name="partyReference" type="PartyReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The party for which this report was generated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="accountReference" type="AccountReference"> <xsd:annotation> <xsd:documentation xml:lang="en">The account for which this report was generated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="category" type="TradeCategory"> <xsd:annotation> <xsd:documentation xml:lang="en"> Used to categorize trades into user-defined categories, such as house trades vs. customer trades. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"> <xsd:annotation> <xsd:documentation xml:lang="en"> A classification of the type of product. FpML defines a simple product categorization using a coding scheme. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"> <xsd:annotation> <xsd:documentation xml:lang="en"> A product reference identifier. The product ID is an identifier that describes the key economic characteristics of the trade type, with the exception of concepts such as size (notional, quantity, number of units) and price (fixed rate, strike, etc.) that are negotiated for each transaction. It can be used to hold identifiers such as the "UPI" (universal product identifier) required by certain regulatory reporting rules. It can also be used to hold identifiers of benchmark products or product temnplates used by certain trading systems or facilities. FpML does not define the domain values associated with this element. Note that the domain values for this element are not strictly an enumerated list. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="assetClass" type="AssetClass"> <xsd:annotation> <xsd:documentation xml:lang="en"> A classification of the risk class of the trade. FpML defines a simple asset class categorization using a coding scheme. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="queryPortfolio" type="QueryPortfolio"> <xsd:annotation> <xsd:documentation xml:lang="en">The desired query portfolio.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="PortfolioValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used in valuation enquiry messages which relates a portfolio to its trades and current value. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:element minOccurs="0" ref="portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en">Portfolio identifier</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en">Zero or more trade valuation items.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" ref="valuationSet"> <xsd:annotation> <xsd:documentation xml:lang="en">The portfolio valuation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="RequestValuationReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message allowing one party a report containing valuations of one or many existing trades. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="CorrectableRequestMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics to be included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date for which this report is requested.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> <xsd:element minOccurs="0" ref="market"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioValuationItem" type="PortfolioValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en">An instance of a unique portfolio valuation.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en">An instance of a unique trade valuation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="TradeValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type used in trade valuation enquiry messages which relates a trade identifier to its current value. </xsd:documentation> </xsd:annotation> <xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"> <xsd:annotation> <xsd:documentation xml:lang="en"> One or more trade identifiers needed to uniquely identify a trade. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="trade" type="Trade"> <xsd:annotation> <xsd:documentation xml:lang="en">Fully-described trades whose values are reported.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:choice> <xsd:element minOccurs="0" ref="valuationSet"> <xsd:annotation> <xsd:documentation xml:lang="en">The trade valuation.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:complexType> <xsd:complexType name="ValuationReport"> <xsd:annotation> <xsd:documentation xml:lang="en"> A type defining the content model for a message normally generated in response to a RequestValuationReport request. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="reportIdentification" type="ReportIdentification"> <xsd:annotation> <xsd:documentation xml:lang="en">Identifiers for the report instance and section.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"> <xsd:annotation> <xsd:documentation xml:lang="en"> The specific characteristics included in the report. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"> <xsd:annotation> <xsd:documentation xml:lang="en">The date for which this request was generated.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group ref="PartiesAndAccounts.model"/> <xsd:element minOccurs="0" ref="market"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="portfolioValuationItem" type="PortfolioValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en">An instance of a unique portfolio valuation.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"> <xsd:annotation> <xsd:documentation xml:lang="en"> A collection of data values describing the state of the given trade. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="portfolio" type="Portfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> Global portfolio element used as a basis for a substitution group. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="queryPortfolio" substitutionGroup="portfolio" type="QueryPortfolio"> <xsd:annotation> <xsd:documentation xml:lang="en"> Global element used to substitute for "portfolio". </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:annotation> <xsd:documentation xml:lang="en">Reporting messages.</xsd:documentation> </xsd:annotation> <xsd:element name="requestValuationReport" type="RequestValuationReport"/> <xsd:element name="valuationReport" type="ValuationReport"/> <xsd:element name="valuationReportAcknowledgement" type="Acknowledgement"/> <xsd:element name="valuationReportException" type="Exception"/> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.